import { MasonryOptions, Masonry as IMasonry, AnimationOptions, ImagesLoadedConstructor, MasonryGridItem } from './ng-masonry-grid.interface';
import { Observable } from 'rxjs/Observable';
export declare class NgMasonryGridService {
    private _platformId;
    el: any;
    masonryOptions: MasonryOptions;
    animationOptions: AnimationOptions;
    items: Array<any>;
    itemsCount: number;
    itemsRenderedCount: number;
    didScroll: boolean;
    resizeTimeout: any;
    useAnimation: boolean;
    isAnimate: boolean;
    _msnry: IMasonry;
    _onScrollHandler: any;
    _onResizeHandler: any;
    useImagesLoaded: boolean;
    imagesLoaded: ImagesLoadedConstructor;
    docElem: HTMLElement;
    animationDefaults: AnimationOptions;
    masonryDefaults: MasonryOptions;
    constructor(_platformId: any);
    getViewportH(): number;
    scrollY(): number;
    getOffset(el: any): {
        top: number;
        left: number;
    };
    inViewport(el: any, h?: number): boolean;
    extend(a: any, b: any): any;
    init(el: any, masonryOptions: MasonryOptions, useAnimation?: boolean, animationOptions?: AnimationOptions, useImagesLoaded?: boolean): IMasonry;
    initializeMasonry(_element: any, options: MasonryOptions): IMasonry;
    private _init();
    private _initMasonry();
    private _layoutComplete(items);
    private _onScrollFn();
    private _scrollPage();
    private _resizeHandler();
    private _checkTotalRendered();
    onDestory(): void;
    removeAnimation(): void;
    add(element: any, count: any): void;
    setAddStatus(value: string): void;
    removeItem(item: Element): Observable<MasonryGridItem>;
    removeFirstItem(): Observable<MasonryGridItem>;
    removeAllItems(): Observable<MasonryGridItem>;
}
